<body>
<div class="container">
    <h1>Login</h1>
    <form class="login" [formGroup]="form" (ngSubmit)="login()">

        <div class="form-group">
            <label class = "lblReg" for="username">Username   </label>
            <input
                formControlName="username"
                id="username"
                type="username"
                class="form-control">
            <div *ngIf="f.username.touched && f.username.invalid" class="alert alert-danger">
                <div class="error-message" *ngIf="f.username.errors.required">Username is required.</div>
            </div>
        </div>
        <br>

        <div class="form-group">
            <label class = "lblReg" for="password">Password</label>
            <input
                formControlName="password"
                id="password"
                type="password"
                class="form-control">
            <div *ngIf="f.password.touched && f.password.invalid" class="alert alert-danger">
                <div class="error-message" *ngIf="f.password.errors.required">Password is required.</div>
            </div>
        </div>


        <button class="btn btn-primary btn-submit" type="submit" [disabled]="!form.valid">Log In</button>
        <div class="error-message" *ngIf="loginIncorrect">Wrong username or password.</div>
    </form>
</div>
</body>
